# Registration Substitutions Registration Substitutions ## Creates a new registration substitution record that does not already exist. - [POST /registrationSubstitutions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-substitutions/createregistrationsubstitution.md): This method will auto-generate an ID and create a new registration substitution. If an ID is specified for the registration substitution, an error will be thrown. ## Execute Batch Operations - [POST /registrationSubstitutions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-substitutions/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified event_id - [GET /registrationSubstitutions/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-substitutions/listsubstitutionsbyeventid.md): Returns a list of records with the specified event_id ## Returns a list of records with the specified new_contact_id - [GET /registrationSubstitutions/{tenantId}/newContact/{new_contact_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-substitutions/listsubstitutionsbynewcontactid.md): Returns a list of records with the specified new_contact_id ## Returns a list of records with the specified previous_contact_id - [GET /registrationSubstitutions/{tenantId}/previousContact/{previous_contact_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-substitutions/listsubstitutionsbypreviouscontactid.md): Returns a list of records with the specified previous_contact_id ## Returns a list of records with the specified registration_id - [GET /registrationSubstitutions/{tenantId}/registration/{registration_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-substitutions/listsubstitutionsbyregistrationid.md): Returns a list of records with the specified registration_id ## Returns a registration substitution from the system by its ID. - [DELETE /registrationSubstitutions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-substitutions/deleteregistrationsubstitution.md): This method will delete a registration substitution with the specified ID. ## Returns a registration substitution from the system by its ID. - [GET /registrationSubstitutions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-substitutions/getregistrationsubstitution.md): This method will look up a registration substitution by the specified ID and return it back. ## Partially updates a registration substitution with the specified ID. - [PATCH /registrationSubstitutions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-substitutions/patchregistrationsubstitution.md): This method will patch an existing registration substitution with the specified ID, using the HTTP PATCH specification. ## Updates a registration substitution with the specified ID. - [PUT /registrationSubstitutions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-substitutions/updateregistrationsubstitution.md): This method will update an existing registration substitution with the specified ID.